package com.oguerreiro.resilient.security.basic;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "resilient.security.basic")
public class ResilientBasicProperties {

  private boolean enabled;

  // Root-level Getters/Setters

  public boolean isEnabled() {
    return enabled;
  }

  public void setEnabled(boolean enabled) {
    this.enabled = enabled;
  }

}
